=== debian/control ===
Source: dmtcp
Section: utils
Priority: optional
Maintainer: Kapil Arya <kapil@ccs.neu.edu>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7), python
Standards-Version: 3.9.5
Vcs-git: https://github.com/dmtcp/dmtcp.git
Vcs-browser: https://github.com/dmtcp/dmtcp
Homepage: http://dmtcp.sourceforge.net

Package: dmtcp
Architecture: i386 amd64 armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Checkpoint/Restart functionality for Linux processes
 DMTCP (Distributed MultiThreaded Checkpointing) is a tool to
 transparently checkpointing the state of an arbitrary group of
 applications including multi-threaded and distributed computations.
 It operates directly on the user binary executable, with no Linux kernel
 modules or other kernel mods.
 .
 Among the applications supported by DMTCP are Open MPI, MVAPICH2, MATLAB,
 R, Python, Perl, and many programming languages and shell scripting
 languages.  It supports both TCP sockets and InfiniBand connections.
 With the use of TightVNC, it can also checkpoint and restart X-Window
 applications.  The OpenGL library for 3D graphics is supported through
 a special plugin.
 .
 This package contains DMTCP binaries.

Package: dmtcp-dbg
Architecture: i386 amd64 armhf arm64
Section: debug
Priority: extra
Depends: dmtcp, ${misc:Depends}
Description: Debug package for dmtcp
 DMTCP (Distributed MultiThreaded Checkpointing) is a tool to
 transparently checkpointing the state of an arbitrary group of
 applications including multi-threaded and distributed computations.
 It operates directly on the user binary executable, with no Linux kernel
 modules or other kernel mods.
 .
 Among the applications supported by DMTCP are Open MPI, MVAPICH2, MATLAB,
 R, Python, Perl, and many programming languages and shell scripting
 languages.  It supports both TCP sockets and InfiniBand connections.
 With the use of TightVNC, it can also checkpoint and restart X-Window
 applications.  The OpenGL library for 3D graphics is supported through
 a special plugin.
 .
 This package contains debugging symbols for DMTCP.
